Skip to main content
GET
/
v2
/
companies
/
{companyId}
/
relationships
Get Relationships for a Company
curl --request GET \
  --url https://api.affinity.co/v2/companies/{companyId}/relationships \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "person1": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Smith",
        "primaryEmailAddress": "jane.smith@northpointvc.com"
      },
      "person2": {
        "id": 10,
        "firstName": "John",
        "lastName": "Doe",
        "primaryEmailAddress": "john.doe@acme.co"
      },
      "interactionScore": 0.92
    },
    {
      "person1": {
        "id": 2,
        "firstName": "Priya",
        "lastName": "Patel",
        "primaryEmailAddress": "priya.patel@northpointvc.com"
      },
      "person2": {
        "id": 11,
        "firstName": "Alex",
        "lastName": "Kim",
        "primaryEmailAddress": "alex.kim@acme.co"
      },
      "interactionScore": 0.68
    },
    {
      "person1": {
        "id": 3,
        "firstName": "Sam",
        "lastName": null,
        "primaryEmailAddress": "sam@northpointvc.com"
      },
      "person2": {
        "id": 12,
        "firstName": "Robin",
        "lastName": "Hill",
        "primaryEmailAddress": null
      },
      "interactionScore": 0.35
    }
  ],
  "pagination": {
    "prevUrl": null,
    "nextUrl": "https://api.affinity.co/v2/companies/100/relationships?cursor=ICAgICAgIGFmdGVyOjo6Mw"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

companyId
integer<int64>
required

Company ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

filter
string

Filter options

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:20

Number of items to include in the page

Required range: 1 <= x <= 100
totalCount
boolean
default:false

Include total count of the collection in the pagination response

Response

OK

A paginated list of relationships

data
Relationship · object[]
required

A page of Relationship objects

Maximum array length: 100
pagination
PaginationWithTotalCount · object
required